import { Head } from '@inertiajs/react'
import Layout from '../../Layout'
import ComImageShow from '../../../components/images/ComImageShow'

export default function AdminImagesShow({ image, auth }) {
  return (
    <Layout user={auth}>
      <Head title={`管理 - ${image.title}`} />
      <ComImageShow 
        path={`/admin/images/${image.id}`}
        image={image} 
        can_edit={true} 
        can_approve={true} 
        can_delete={true}
        isAdmin={true}
      />
    </Layout>
  )
}
