import { Head } from '@inertiajs/react'
import Layout from '../../Layout'
import ComTagsIndex from '../../../components/tags/ComTagsIndex'

export default function AdminTagsIndex({ tags, auth, errors = {} }) {
  return (
    <Layout user={auth}>
      <Head title="标签管理" />
      <ComTagsIndex 
        title="标签管理" 
        description="创建、编辑和删除图片分类标签" 
        tags={tags} 
        auth={auth} 
        isAdmin={true} 
        path="/admin/tags" 
        errors={errors} 
      />
    </Layout>
  )
}
