import { Head, Link } from '@inertiajs/react'
import Layout from '../../../Layout'
import ComImageIndex from '../../../../components/images/ComImageIndex'

export default function TagsImagesIndex({ auth, tag, images, pagination, filters, tags }) {
  return (
    <Layout user={auth}>
      <Head title={`${tag.name} - 标签图片`} />
      <ComImageIndex 
        auth={auth}
        title={tag.name}
        description={`查看关联图片`}
        path={`/admin/tags/${tag.id}/images`}
        images={images}
        pagination={pagination}
        filters={filters}
        showUserName={true}
        allTags={tags}
        backLink={{
          url: '/admin/tags',
          label: '返回标签列表'
        }}
        actionButton={(
          <Link
            href={`/admin/tags/${tag.id}/images/new`}
            className="inline-flex items-center mb-2 ml-2 px-4 py-2 border border-transparent text-sm font-medium rounded-md shadow-sm text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500"
          >
            添加新图片到此标签
          </Link>
        )}
      />
    </Layout>
  )
}
