import { Head } from '@inertiajs/react'
import Layout from '../Layout'
import ComImageShow from '../../components/images/ComImageShow'

export default function Show({ image, auth }) {
  return (
    <Layout user={auth}>
      <Head title={image.title} />
      <ComImageShow 
        path={`/images/${image.id}`}
        image={image} 
        can_edit={auth.roles?.includes('admin') || image.status === 'pending'} 
        can_approve={auth.roles?.includes('admin')} 
        can_delete={auth.roles?.includes('admin')}
        isAdmin={auth.roles?.includes('admin')}
      />
    </Layout>
  )
}
