import { Head, Link } from '@inertiajs/react'
import Layout from '../../Layout'
import ComImageIndex from '../../../components/images/ComImageIndex'

export default function Index({ tag, images, pagination, auth, filters = {}, tags }) {
  return (
    <Layout user={auth}>
      <Head title={`标签: ${tag.name} - 图片列表`} />
      <ComImageIndex 
        auth={auth}
        title={tag.name}
        description={`查看关联图片`}
        path={`/tags/${tag.id}/images`}
        images={images}
        pagination={pagination}
        filters={filters}
        allTags={tags}
        backLink={{
          url: '/tags',
          label: '返回标签列表'
        }}
        actionButton={(
          <Link
            href={`/tags/${tag.id}/images/new`}
            className="inline-flex items-center mb-2 ml-2 px-4 py-2 border border-transparent text-sm font-medium rounded-md shadow-sm text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500"
          >
            添加新图片到此标签
          </Link>
        )}
      />
    </Layout>
  )
}
