class SessionMailer < ApplicationMailer
  def new_login_notification(user, ip_address, user_agent)
    @user = user
    @ip_address = ip_address
    @user_agent = user_agent
    @login_time = Time.current
    @manage_sessions_url = url_for(controller: 'sessions', action: 'index', only_path: false)
    
    mail(
      to: user.email_address,
      subject: "New login detected on your account"
    )
  end
  
  def session_expired_notification(user)
    @user = user
    @expired_time = Time.current
    
    mail(
      to: user.email_address,
      subject: "Your session has expired"
    )
  end
  
  def security_settings_updated(user)
    @user = user
    @updated_time = Time.current
    
    mail(
      to: user.email_address,
      subject: "Security settings updated for your account"
    )
  end
end
